function  [nodeLabels] = UGM_Decode_MPM(nodePot, edgePot, edgeStruct, infoStruct, inferFunc)
% INPUT
% nodePot(node,class)
% edgePot(class,class,edge) where e is referenced by V,E (must be the same
% between feature engine and inference engine)
%
% OUTPUT
% nodeLabel(node)

nodeBel = inferFunc(nodePot,edgePot,edgeStruct,infoStruct);
[junk nodeLabels] = max(nodeBel,[],2);
